This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 828611 - [ipa webui] Delegation - find using leading/trailing criteria throws error on page
[ipa webui] Delegation - find using leading/trailing criteria throws error on...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 22:25 EDT by Namita Soman
Modified: 2015-01-16 09:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 09:39:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Namita Soman 2012-06-04 22:25:58 EDT
Description of problem:
Search for a delegation, using leading/trailing space. The expected error is displayed, but as part of the page, instead of as a messagebox

An error has occured (IPA Error 3009)

invalid 'criteria': Leading and trailing spaces are not allowed
Please try the following options:

    Refresh the page.
    Return to the main page and retry the operation
    Reload the browser.

If the problem persists please contact the system administrator.

/var/log/httpd/error_log has:
[Mon Jun 04 22:13:57 2012] [error] ipa: INFO: admin@TESTRELM.COM: delegation_find(u'one ', pkey_only=True): ValidationError

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6.i686

How reproducible:
always

Steps to Reproduce:
1. After adding a few delegations, say one, two, three, search for "one "

  
Actual results:
error as indicated above is displayed on page

Expected results:
error should be displayed in a messagebox

Additional info:
Comment 1 Namita Soman 2012-06-04 22:28:41 EDT
actually - it does show up in a messagebox, with retry and cancel options. Hitting cancel shows the page with the error above
Comment 3 Rob Crittenden 2012-06-04 22:53:38 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2808
Comment 8 Martin Kosek 2015-01-16 09:39:11 EST
This is no longer an issue, as find commands are ok with heading or trailing space:

# ipa delegation-find "aaa "
---------------------
0 delegations matched
---------------------
----------------------------
Number of entries returned 0
----------------------------

Note You need to log in before you can comment on or make changes to this bug.